/**
 * meta 参数说明
 * form:表单路由，存在或ture,也要后台配置，前端校验
 * mode:功能入口路由，存在或ture,也要后台配置，前端校验
 */
const routesXsy = [
	/***公共***/
	{
		path: '/xsy',
		component: () => import('../views-xsy/Layout.vue'),
		children: [
			//申请调班
			{
				path: 'applyClass',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//调班记录
					{
						path: 'list',
						name: 'ApplyClassList',
						component: () => import('../views-xsy/ApplyClass/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '调班记录',
						}
					},
					//申请调班
					{
						path: 'add',
						name: 'ApplyClassAdd',
						component: () => import('../views-xsy/ApplyClass/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请调班',
						}
					},
					//选择班次
					{
						path: 'class',
						name: 'ApplyClassClass',
						component: () => import('../views-xsy/ApplyClass/Class.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请调班',
						}
					},
					//申请详情
					{
						path: 'info',
						name: 'ApplyClassInfo',
						component: () => import('../views-xsy/ApplyClass/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					
				]
			},
			//安排调班
			{
				path: 'planClass',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//排班记录
					{
						path: 'list',
						name: 'PlanClassList',
						component: () => import('../views-xsy/PlanClass/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '排班记录',
						}
					},
					//安排调班
					{
						path: 'add',
						name: 'PlanClassAdd',
						component: () => import('../views-xsy/PlanClass/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '安排调班',
						}
					},
					//选择人员
					{
						path: 'person',
						name: 'PlanClassPerson',
						component: () => import('../views-xsy/PlanClass/Person.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择人员',
						}
					},
					//选择班次
					{
						path: 'class',
						name: 'PlanClassClass',
						component: () => import('../views-xsy/PlanClass/Class.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择班次',
						}
					},
					//调班详情
					{
						path: 'info',
						name: 'PlanClassInfo',
						component: () => import('../views-xsy/PlanClass/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '调班详情',
						}
					},
					
					
				]
			},//调班审核
			{
				path: 'approvalClass',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					
					//调班审核
					{
						path: 'list',
						name: 'ApprovalClassList',
						component: () => import('../views-xsy/ApprovalClass/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '调班审核',
						}
					},
					
					//调班申请详情
					{
						path: 'info',
						name: 'ApprovalClassInfo',
						component: () => import('../views-xsy/ApprovalClass/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '调班申请详情',
						}
					},
					
				]
			},{//批量补卡
				path: 'cardReplacement',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//批量补卡记录
					{
						path: 'list',
						name: 'CardReplacementList',
						component: () => import('../views-xsy/CardReplacement/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '批量补卡记录',
						}
					},
					//申请补卡
					{
						path: 'add',
						name: 'CardReplacementAdd',
						component: () => import('../views-xsy/CardReplacement/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请补卡',
						}
					},
					//选择人员
					{
						path: 'person',
						name: 'CardReplacementPerson',
						component: () => import('../views-xsy/CardReplacement/Person.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择人员',
						}
					},
					//申请详情
					{
						path: 'info',
						name: 'CardReplacementInfo',
						component: () => import('../views-xsy/CardReplacement/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					
				]
			},{//批量加班
				path: 'workOvertime',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//批量加班记录
					{
						path: 'list',
						name: 'WorkOvertimeList',
						component: () => import('../views-xsy/WorkOvertime/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '批量加班记录',
						}
					},
					//申请加班
					{
						path: 'add',
						name: 'WorkOvertimeAdd',
						component: () => import('../views-xsy/WorkOvertime/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请加班',
						}
					},
					//选择人员
					{
						path: 'person',
						name: 'WorkOvertimePerson',
						component: () => import('../views-xsy/WorkOvertime/Person.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择人员',
						}
					},
					//申请详情
					{
						path: 'info',
						name: 'WorkOvertimeInfo',
						component: () => import('../views-xsy/WorkOvertime/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					
				]
			},{//携物出场
				path: 'commerce',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//携出申请列表
					{
						path: 'list',
						name: 'CommerceList',
						component: () => import('../views-xsy/Commerce/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请列表',
						}
					},
					//携带物品申请
					{
						path: 'add',
						name: 'CommerceAdd',
						component: () => import('../views-xsy/Commerce/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携带物品申请',
						}
					},
					//携出申请详情
					{
						path: 'info',
						name: 'CommerceInfo',
						component: () => import('../views-xsy/Commerce/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请详情',
						}
					},
					
				]
			},{//物品放行
				path: 'release',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//物品放行审核列表
					{
						path: 'list',
						name: 'ReleaseList',
						component: () => import('../views-xsy/Release/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '物品放行审核列表',
						}
					},
				
					//物品放行审核详情
					{
						path: 'info',
						name: 'ReleaseInfo',
						component: () => import('../views-xsy/Release/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '物品放行审核详情',
						}
					},
				]
			},{//扫码放行
				path: 'scan',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//扫码放行
					{
						path: 'add',
						name: 'ScanAdd',
						component: () => import('../views-xsy/Scan/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '扫码放行',
						}
					},
					//放行记录
					{
						path: 'list',
						name: 'ScanList',
						component: () => import('../views-xsy/Scan/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '放行记录',
						}
					},
					
					//核验详情
					{
						path: 'info',
						name: 'ScanInfo',
						component: () => import('../views-xsy/Scan/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '核验详情',
						}
					},
					
				]
			},{//来客接待进餐申请
				path: 'treat',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//来客接待进餐申请
					{
						path: 'list',
						name: 'TreatList',
						component: () => import('../views-xsy/Treat/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '来客接待进餐申请',
						}
					},
				//申请接待
				{
					path: 'add',
					name: 'TreatAdd',
					component: () => import('../views-xsy/Treat/Add.vue'),
					meta: {
						requireAuth: false,
						role: [],
						title: '申请接待',
					}
				},
					//申请详情
					{
						path: 'info',
						name: 'TreatInfo',
						component: () => import('../views-xsy/Treat/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
				]
			},{//来客接待进餐审核
				path: 'treatApproval',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//来客接待进餐审核
					{
						path: 'list',
						name: 'TreatApprovalList',
						component: () => import('../views-xsy/TreatApproval/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '来客接待进餐审核',
						}
					},
				
					//申请详情
					{
						path: 'info',
						name: 'TreatApprovalInfo',
						component: () => import('../views-xsy/TreatApproval/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
				]
			},{//饭卡
				path: 'meal',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//饭卡主页
					{
						path: '',
						name: 'MealHome',
						component: () => import('../views-xsy/Meal/Home.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '消息列表',
						}
					},
					//就餐记录
					{
						path: 'list',
						name: 'MealList',
						component: () => import('../views-xsy/Meal/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '消息列表',
						}
					},
					//就餐详情
					{
						path: 'info',
						name: 'MealInfo',
						component: () => import('../views-xsy/Meal/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '就餐详情',
						}
					},
					
					//充值记录
					{
						path: 'recharge',
						name: 'MealRecharge',
						component: () => import('../views-xsy/Meal/Recharge.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '充值记录',
						}
					},
					//充值明细
					{    
						path: 'rechargeinfo',
						name: 'MealRechargeinfo',
						component: () => import('../views-xsy/Meal/Rechargeinfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '充值明细',
						}
					},
				]
			},
		

		],
	}
]

export default routesXsy
